Bug 484493 - Xmoto crashes with an ODE assertion error if enter is pressed during gameplay
Xmoto crashes with an ODE assertion error if enter is pressed during gameplay
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: xmoto (Show other bugs)
10
x86_64 Linux
high Severity medium
: ---
: ---
Assigned To: Gwyn Ciesla
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-02-07 07:15 EST by Joonas Sarajärvi
Modified: 2009-03-05 14:42 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-03-05 14:42:01 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Joonas Sarajärvi 2009-02-07 07:15:21 EST
Description of problem:
The game crashes when enter is pressed during play with this error message:

[joonas@kaappi ~]$ xmoto

ODE INTERNAL ERROR 1: assertion "g_bODEInitialized" failed in dCloseODE() [odeinit.cpp]
Keskeytetty                        

Version-Release number of selected component (if applicable):
xmoto-0.4.2-5.fc10.x86_64

How reproducible:
always

Steps to Reproduce:
1. Start xmoto
2. Select a course and start driving
3. Press enter
  
Actual results:
The game crashes with the error message described above

Expected results:
The level restarts, with me able to try completing the level again.

Additional info:
I am using the non-free fglrx display driver from RPM Fusion (version 9.1), if it matters.
Comment 1 Gwyn Ciesla 2009-02-09 10:37:41 EST
Does the crash occur without that driver?
Comment 2 Jonathan Dieter 2009-02-15 13:35:55 EST
It does for me.  FWIW, 0.4.2-4.fc10 did not crash.  I just updated to 0.4.2-5.fc10 today and the crashing started.
Comment 3 Gwyn Ciesla 2009-02-17 10:36:17 EST
Odd, we had an ODE-related crash, which was fixed in 0.4.2-5, wonder if we missed something.

See: https://bugzilla.redhat.com/show_bug.cgi?id=466738

Hans, does this look familiar?
Comment 4 Hans de Goede 2009-02-17 13:28:11 EST
(In reply to comment #3)
> Odd, we had an ODE-related crash, which was fixed in 0.4.2-5, wonder if we
> missed something.
> 
> See: https://bugzilla.redhat.com/show_bug.cgi?id=466738
> 
> Hans, does this look familiar?

Yes, sorta, this means that there is an odeClose() (or something like that) which was not precedeed by an odeInit(), so I guess there might be some path now where we call odeClose twice.
Comment 5 Gwyn Ciesla 2009-02-17 16:17:08 EST
Please test this build in 10-testing:

http://koji.fedoraproject.org/koji/buildinfo?buildID=83091
Comment 6 Jonathan Dieter 2009-02-18 01:34:14 EST
Thanks, that fixed it!
Comment 7 Gwyn Ciesla 2009-02-18 09:46:44 EST
Pushed for stable.
Comment 8 Gwyn Ciesla 2009-03-05 14:42:01 EST
Not closed by bodhi. . .

Note You need to log in before you can comment on or make changes to this bug.